Package org.kapott.hbci.passport.rdhXfile

## Class TLV

- java.lang.Object
- - org.kapott.hbci.passport.rdhXfile.TLV

Direct Known Subclasses:
  `BankKeys`, `DateField`, `FileHeader`, `HBCIAccount`, `HBCIAccount.BankData`, `HBCIAccount.UserKeys`, `MACField`

    public class TLV
    extends java.lang.Object

### Constructor Summary

Constructors
`` `TLV​(byte[] buffer, int offset)`
`` `TLV​(int tag)`
`protected` `TLV​(TLV tlv)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `expand​(java.lang.String st, int size)`
`byte[]` `getData()`
`int` `getLength()`
`byte[]` `getRawData()`
`long` `getTag()`
`protected byte[]` `int2ba​(int x)`
`protected byte[]` `long2ba​(long x)`
`protected byte[]` `reverseba​(byte[] ba)`
`void` `setData​(byte[] data)`
`protected byte[]` `trimba​(byte[] ba)`
`void` `updateData()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TLV

    public TLV​(byte[] buffer,
               int offset)

#### TLV

    protected TLV​(TLV tlv)

#### TLV

    public TLV​(int tag)

### Method Detail

#### getTag

    public long getTag()

#### getLength

    public int getLength()

#### setData

    public void setData​(byte[] data)

#### getData

    public byte[] getData()

#### getRawData

    public byte[] getRawData()

#### updateData

    public void updateData()

#### expand

    protected java.lang.String expand​(java.lang.String st,
                                      int size)

#### int2ba

    protected byte[] int2ba​(int x)

#### long2ba

    protected byte[] long2ba​(long x)

#### reverseba

    protected byte[] reverseba​(byte[] ba)

#### trimba

    protected byte[] trimba​(byte[] ba)